<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class ExamplesController extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -  
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in 
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see http://codeigniter.com/user_guide/general/urls.html
	 */
	public function index()
	{
		/* headData manages the <head>-tag and loads corresponding CSS.
		 * The views that are entered will load CSS with same name.
		 * Ex. test_header will load test_header.css
		 */
		$headData['list'] = array('header', 'examplesMenu', 'examplesBody');
		$this->load->view('headTag', $headData);
		$this->load->view('header');
		
		// menuData loads items to the menu.
		$menuData['list'] = array('Quizzes', 'JavaScript', 'jQuery', 'AJAX API', 'SQL', 'PHP', 'Rollekunskap');
		$this->load->view('examplesMenu', $menuData);
		
		// examples matrix loads headers and example titles to the body.
		$examples['titles'] = Array(
			'JavaScript' => Array('Example0', 'Example1', 'Example2'),
			'jQuery' => Array('Example0', 'ruben', 'Example2'),
			'AJAX API' => Array('Example0', 'Example1', 'Example2'),
			'SQL' => Array('Example0', 'Example1', 'Example2'),
			'PHP' => Array('Example0', 'Example1', 'Example2'),
			'Rollekunskap' => Array('Rolle', 'is', 'awsome', 'because', 'he', 'can', 'fix', 'stuffs')
		);
		$this->load->view('examplesBody', $examples);	
	}
}

/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */