<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	//Home controller
	class Home extends CI_Controller {	
		/*
		 *	Constructor
		 */
		function __construct() {
			parent::__construct();
			$this->load->model('user', '', TRUE);
		}
	
	
		/*
		 *	This function runs when the user navigates directly to the home controller
		 */
		function index() {
			//If the user is logged in
			if($this->user->isLoggedIn())
			{
				$this->load->view('home_view');
			} else {
				//Redirect user to login page
				redirect(base_url().'login', 'refresh');
			}
		}
	}
?>